Last Comment Bug 664924 - Remove MOZ_CSS_ANIMATIONS ifdefs
: Remove MOZ_CSS_ANIMATIONS ifdefs
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: CSS Parsing and Computation (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla7
Assigned To: Matheus Kerschbaum
:
Mentors:
http://mxr.mozilla.org/mozilla-centra...
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-16 22:33 PDT by Kyle Huey [:khuey] (khuey@mozilla.com)
Modified: 2011-06-21 06:46 PDT (History)
4 users (show)
emorley: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
patch (81.60 KB, patch)
2011-06-17 16:10 PDT, Matheus Kerschbaum
no flags Details | Diff | Review
patch (82.61 KB, patch)
2011-06-17 16:43 PDT, Matheus Kerschbaum
no flags Details | Diff | Review
patch (83.42 KB, patch)
2011-06-20 12:21 PDT, David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch)
no flags Details | Diff | Review

Description Kyle Huey [:khuey] (khuey@mozilla.com) 2011-06-16 22:33:20 PDT
CSS animations stuck; we should remove the backout infrastructure.
Comment 1 Matheus Kerschbaum 2011-06-17 16:09:21 PDT
I probably should have commented here, but I already have a patch for this.
Comment 2 Matheus Kerschbaum 2011-06-17 16:10:43 PDT
Created attachment 540174 [details] [diff] [review]
patch
Comment 3 Ed Morley [:emorley] 2011-06-17 16:21:20 PDT
Oh... I'd been working on this since setting the assignee, oh well it happens :-)
Comment 4 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2011-06-17 16:27:22 PDT
Hmmm.  I had hoped this would look like a straight backout of
https://hg.mozilla.org/mozilla-central/rev/5f6f0204b682
but it appears to leave a bunch of the ordering wrong.  I suspect that many parts of that patch will still reverse-apply cleanly, though, so it should be straightforward to revert it (and perhaps even more straightforward to backout and hg merge, and then perhaps diff rather than committing the backout).
Comment 5 Matheus Kerschbaum 2011-06-17 16:43:49 PDT
Created attachment 540182 [details] [diff] [review]
patch

Done.
Comment 6 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2011-06-20 12:21:52 PDT
Created attachment 540559 [details] [diff] [review]
patch

That isn't quite right either, since it isn't merged to the trunk.

Here's the result of a backout and merge, adjusted for the new changes (nsICSSRule.h -> Rule.h and the added code in nsStyleSet.cpp).

This is actually a lot more similar to the first patch than the second, since the second wasn't relative to current trunk.
Comment 7 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2011-06-20 16:52:15 PDT
http://hg.mozilla.org/integration/mozilla-inbound/rev/9d70431e1ac5
Comment 8 :Ehsan Akhgari (busy, don't ask for review please) 2011-06-21 06:46:45 PDT
http://hg.mozilla.org/mozilla-central/rev/9d70431e1ac5

Note You need to log in before you can comment on or make changes to this bug.